package it.integry.integrywmsnative.gest.contab_doc_interni.dto;

import java.math.BigDecimal;

public class GrigliaAcquistiChildDTO {

    public String codMart;
    public String descrizione;
    public String untMis;
    public BigDecimal qtaCnf;
    public String barcode;
    public BigDecimal merceDaRic;
    public BigDecimal mediaSett;
    public String flagQtaMultipla;
    public String flagTracciabilita;
    public BigDecimal qtaMinOrdinabile;
    public boolean newNoPromo;
    private int ggScadenza;
    private float giacenza;
    private float qtaPrevistaVendita;
    private float qtaProposta;
    private BigDecimal qtaOrd;


    public String getCodMart() {
        return codMart;
    }

    public GrigliaAcquistiChildDTO setCodMart(String codMart) {
        this.codMart = codMart;
        return this;
    }

    public String getDescrizione() {
        return descrizione;
    }

    public GrigliaAcquistiChildDTO setDescrizione(String descrizione) {
        this.descrizione = descrizione;
        return this;
    }

    public String getUntMis() {
        return untMis;
    }

    public GrigliaAcquistiChildDTO setUntMis(String untMis) {
        this.untMis = untMis;
        return this;
    }

    public BigDecimal getQtaCnf() {
        return qtaCnf;
    }

    public GrigliaAcquistiChildDTO setQtaCnf(BigDecimal qtaCnf) {
        this.qtaCnf = qtaCnf;
        return this;
    }

    public String getBarcode() {
        return barcode;
    }

    public GrigliaAcquistiChildDTO setBarcode(String barcode) {
        this.barcode = barcode;
        return this;
    }

    public BigDecimal getMerceDaRic() {
        return merceDaRic;
    }

    public GrigliaAcquistiChildDTO setMerceDaRic(BigDecimal merceDaRic) {
        this.merceDaRic = merceDaRic;
        return this;
    }

    public BigDecimal getMediaSett() {
        return mediaSett;
    }

    public GrigliaAcquistiChildDTO setMediaSett(BigDecimal mediaSett) {
        this.mediaSett = mediaSett;
        return this;
    }

    public String getFlagQtaMultipla() {
        return flagQtaMultipla;
    }

    public GrigliaAcquistiChildDTO setFlagQtaMultipla(String flagQtaMultipla) {
        this.flagQtaMultipla = flagQtaMultipla;
        return this;
    }

    public BigDecimal getQtaMinOrdinabile() {
        return qtaMinOrdinabile;
    }

    public GrigliaAcquistiChildDTO setQtaMinOrdinabile(BigDecimal qtaMinOrdinabile) {
        this.qtaMinOrdinabile = qtaMinOrdinabile;
        return this;
    }

    public String getFlagTracciabilita() {
        return flagTracciabilita;
    }

    public GrigliaAcquistiChildDTO setFlagTracciabilita(String flagTracciabilita) {
        this.flagTracciabilita = flagTracciabilita;
        return this;
    }

    public int getGgScadenza() {
        return ggScadenza;
    }

    public GrigliaAcquistiChildDTO setGgScadenza(int ggScadenza) {
        this.ggScadenza = ggScadenza;
        return this;
    }

    public float getGiacenza() {
        return giacenza;
    }

    public GrigliaAcquistiChildDTO setGiacenza(float giacenza) {
        this.giacenza = giacenza;
        return this;
    }

    public float getQtaPrevistaVendita() {
        return qtaPrevistaVendita;
    }

    public GrigliaAcquistiChildDTO setQtaPrevistaVendita(float qtaPrevistaVendita) {
        this.qtaPrevistaVendita = qtaPrevistaVendita;
        return this;
    }

    public float getQtaProposta() {
        return qtaProposta;
    }

    public GrigliaAcquistiChildDTO setQtaProposta(float qtaProposta) {
        this.qtaProposta = qtaProposta;
        return this;
    }

    public boolean isNewNoPromo() {
        return newNoPromo;
    }

    public GrigliaAcquistiChildDTO setNewNoPromo(boolean newNoPromo) {
        this.newNoPromo = newNoPromo;
        return this;
    }

    public BigDecimal getQtaOrd() {
        return qtaOrd;
    }

    public GrigliaAcquistiChildDTO setQtaOrd(BigDecimal qtaOrd) {
        this.qtaOrd = qtaOrd;
        return this;
    }
}
